Package org.eclipse.net4j.util.lifecycle

# Class LifecycleUtil.Delegator<T>

java.lang.Object
org.eclipse.net4j.util.lifecycle.LifecycleUtil.Delegator<T>

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  LifecycleUtil

public static final class LifecycleUtil.Delegator<T> extends Object implements InvocationHandler
The `invocation handler` of the `dynamic proxy` created in `LifecycleUtil.delegateLifecycle()`.

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Delegator(T pojo, ILifecycle delegate)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object proxy, Method method, Object[] args)`
`static <T> T`
`newProxy(ClassLoader loader, T pojo, Class<?> pojoInterface, ILifecycle delegate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Delegator

public Delegator(T pojo, ILifecycle delegate)

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`

### newProxy

public static <T> T newProxy(ClassLoader loader, T pojo, Class<?> pojoInterface, ILifecycle delegate)